/*
 * Copyright 2004-2012 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.seasar.mayaa.impl.builder.library;

import org.seasar.mayaa.impl.MayaaException;

/**
 * @author Masataka Kurihara (Gluegent, Inc.)
 */
public class ConverterNotFoundException extends MayaaException {

    private static final long serialVersionUID = 1562770035374725562L;
    private String _name;
    private String _systemID;
    private int _lineNumber;

    public ConverterNotFoundException(
            String name, String systemID, int lineNumber) {
        _name = name;
        _systemID = systemID;
        _lineNumber = lineNumber;
    }

    public String getName() {
        return _name;
    }

    public String getSystemID() {
        return _systemID;
    }

    public int getLinuNumber() {
        return _lineNumber;
    }

    protected String[] getMessageParams() {
        String lineNumber = Integer.toString(_lineNumber);
        return new String[] { _name, _systemID, lineNumber };
    }

}
